'use strict';

var resolve = require('../resolve');
var symbols = require('../symbols');

/**
 * @param {string} markdown - the readme files data
 * @param {Object} di - dependency injection
 * @returns {string} markdown - replaced readme file data
 **/
function convertMarkdownBoldToCli(markdown, _ref) {
	var _msg = _ref._msg;

	// eslint-disable-next-line
	var reg = /(\*{2})([^\*]*)(\*{2})/g;
	var results = void 0;

	// eslint-disable-next-line
	while ((results = reg.exec(markdown)) !== null) {
		markdown = markdown.replace(results[0], _msg(results[2]));
	}

	return markdown;
}

module.exports = resolve(convertMarkdownBoldToCli, { msg: symbols.bold.msg });
module.exports.convertMarkdownBoldToCli = convertMarkdownBoldToCli;